package at.ac.sbg.zgis.sensors;

/**
 * Classes implementing this listener can subscribe to the SensorDataBus, thus use newly collected
 * sensor data for storage or visualization.
 */
public interface SensorDataBusListener {

    /**
     * Is called when new data is coming in from a sensor and passes the data to the implementing
     * class.
     *
     * @param dataCollection SensorDataCollection object containing the current measurement.
     */
    void onDataAvailable(SensorDataCollection dataCollection);
}

