package at.ac.sbg.zgis.sensors;

import at.ac.sbg.zgis.configuration.Constants;

/**
 * Part of a SensorDataCollection. It contains data and the id of the sensor with which it
 * was collected.
 */
public class SensorDataEntry
{
    private final Constants.Sensor sensor;
    private final Object value;

    public SensorDataEntry (Constants.Sensor sensorPlatform, Object value)
    {
        this.sensor = sensorPlatform;
        this.value = value;
    }

    public Constants.Sensor getSensor ()
    {
        return this.sensor;
    }

    public Object getValue ()
    {
        return this.value;
    }

    @Override
    public String toString() {
        return "SensorDataEntry: " + this.getSensor().name() + " -> " + getValue();
    }
}
