package at.ac.sbg.zgis.sensors;

import android.content.Intent;
import android.util.Log;

import at.ac.sbg.zgis.sensors.empatica.E4;
import at.ac.sbg.zgis.sensors.zephyr.BioHarness3;
import at.ac.sbg.zgis.userinterface.eDiary;


// manages high level sensor functions
public class SensorManager {
    private static final String TAG = SensorManager.class.getSimpleName();

    public void handleConnect(String e4APIKey)  {

        // Sensor Debug Logging
        LoggingSensorDataBusListener logSDBListener = new LoggingSensorDataBusListener();
        SensorDataBus.subscribe(logSDBListener);

        Log.d(TAG, "handleConnect() invoked");

        if (e4APIKey != null && !e4APIKey.isEmpty()) {
            E4.EMPATICA_API_KEY = e4APIKey;
        }

        this.startIntentServices();

    }

    /**
     * Connects to the device. First, get access to the bluetooth device and
     * start service
     */
    private void startIntentServices() {

        // TODO: 11.12.18 only start services if sensors are activated 

        try {
            Log.i(TAG, "Attempting to connect to EmpaticaE4. Starting intent now");
            Intent empaticaE4Service = new Intent(eDiary.context, E4.class);
            eDiary.context.startService(empaticaE4Service);
        } catch (Exception e) {
            Log.e(TAG, "Could not connect to Empatica EmpaticaE4", e);
        }

        try {
            Log.i(TAG, "Found sensor: ZephyrBioHarness. Starting intent now");
            Intent zephyrBioHarnessService = new Intent(eDiary.context, BioHarness3.class);
            eDiary.context.startService(zephyrBioHarnessService);
        } catch (Exception e) {
            Log.e(TAG, "Could not connect to ZephyrBioHarness", e);
        }
    }
}