package at.ac.sbg.zgis.sensors;


import java.util.HashMap;
import java.util.Map;

import at.ac.sbg.zgis.configuration.Constants;

/**
 * Collects the statuses of all connected sensors
 */
public class SensorStatusCollection {
    private static final Map<Constants.SensorPlatform, SensorStatusEntry> sensorDetailsMap = new HashMap<>();

    /**
     * Returns a Map with SensorPlatform as key, and SensorStatusEntry as value
     */
    public static Map<Constants.SensorPlatform, SensorStatusEntry> getDetails() {
        return sensorDetailsMap;
    }

    /**
     * Updates the status of one sensor
     */
    public static void update(Constants.SensorPlatform platformName, SensorPlatform.ConnectionStatus status, String battery) {
        sensorDetailsMap.put(platformName, new SensorStatusEntry(battery, status));
    }

}
