package at.ac.sbg.zgis.survey.surveyitem;

import java.util.ArrayList;
import java.util.List;


import at.ac.sbg.zgis.survey.SurveyItem;


/**
 * Radio Buttons, also known as checkbox, can be used as Likert question type
 */
public class RadioButtonGroup extends SurveyItem<String> {

    private final List<String> answerOptions;

    public RadioButtonGroup(String question, List<String> answerOptions) {
        super(question);
        this.answerOptions = answerOptions;
    }

    public ArrayList<String> getAnswerOptions() {
        return (ArrayList<String>) answerOptions;
    }

    @Override
    public String toString() {
        return "RadioButtonGroup{" +
                "answerOptions=" + answerOptions +
                ", questionOriginal='" + questionOriginal + '\'' +
                ", questionDBColumnName='" + questionDBColumnName + '\'' +
                ", userAnswer=" + userAnswer +
                '}';
    }
}
