package at.ac.sbg.zgis.userinterface;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.method.LinkMovementMethod;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import de.psdev.licensesdialog.LicensesDialog;
import de.psdev.licensesdialog.licenses.ApacheSoftwareLicense20;
import de.psdev.licensesdialog.model.Notice;
import de.psdev.licensesdialog.model.Notices;


/**
 * Shows information about the app, the research project and contact information.
 */
public class AboutActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_about);

        // necessary for making link clickable
        TextView txtStackoverflowHeading = findViewById(R.id.txt_stackoverflow_heading);
        txtStackoverflowHeading.setMovementMethod(LinkMovementMethod.getInstance());

        // here all used stackoverflow snippets are referenced
        // the text is written in strings.xml
        // the textViews have to be added to the layout file
        // the text itself gets assigned in this class

        // TODO: 06.04.2018 simplify - read dynamically from textfile

        TextView txtSOAnswerBluetooth = findViewById(R.id.txt_stackoverflow_bluetooth);
        txtSOAnswerBluetooth.setText(R.string.stackoverflow_bluetooth);
        txtSOAnswerBluetooth.setMovementMethod(LinkMovementMethod.getInstance());

        TextView txtSOAnswerInternet = findViewById(R.id.txt_stackoverflow_internet);
        txtSOAnswerInternet.setText(R.string.stackoverflow_internet);
        txtSOAnswerInternet.setMovementMethod(LinkMovementMethod.getInstance());

        TextView txtSOAnswerRestart = findViewById(R.id.txt_stackoverflow_restart);
        txtSOAnswerRestart.setText(R.string.stackoverflow_restart);
        txtSOAnswerRestart.setMovementMethod(LinkMovementMethod.getInstance());

        TextView txtSOViewPagerNoSliding = findViewById(R.id.txt_stackoverflow_vp_no_sliding);
        txtSOViewPagerNoSliding.setText(R.string.stackoverflow_vp_no_sliding);
        txtSOViewPagerNoSliding.setMovementMethod(LinkMovementMethod.getInstance());



        // TODO: add https://stackoverflow.com/a/9650884



        Button licenceButton = findViewById(R.id.btn_licence);
        licenceButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                showUsedLicences();
            }
        });
    }

    private void showUsedLicences() {
        final Notices notices = new Notices();
        notices.addNotice(new Notice("MPAndroidChart", "https://github.com/PhilJay/MPAndroidChart", "", new ApacheSoftwareLicense20()));

        new LicensesDialog.Builder(this)
                .setNotices(notices)
                .setIncludeOwnLicense(true)
                .build()
                .showAppCompat();
    }
}
