#!/bin/bash

# convert a eDiary SQLite into a GeoPackage

# check argument
if [ -z "$1" ];then
  echo "Usage: ediary2gpkg [input_sqlite]"
  exit;
else
  input_filepath="${1}"
  sqlite_suffix=.sqlite
  filepath_without_suffix=${input_filepath%"$sqlite_suffix"}
fi

ogr2ogr \
      -f "GPKG" "${filepath_without_suffix}"".gpkg" \
      "${input_filepath}" \
      -sql \
      "SELECT
       *,
       MakePoint(longitude, latitude, 4326) AS geometry
     FROM
    location" \
      -nln "location" \
      -a_srs "EPSG:4326";
